import { List } from 'immutable'

import Collection from '../index'

describe('Connected Sidebar Common Stimulus', () => {
  const connectedTestbed = createTestbed(
    withContext(Collection),
    {
      firstPosition: 1,
      stimulusId: '1',
      isOver: false,
      itemCollection: List(),
      renderSidebarItem: () => {},
      sidebarOpen: false
    }
  )

  shouldRenderComponent(
    connectedTestbed, {}, Collection
  )
})
